LibreOffice: XCalendar3 Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XCalendar3 Interface Referencepublished

This interface provides access to locale specific calendar systems. More...

Inheritance diagram for XCalendar3:

## Public Member Functions
Calendar2 | getLoadedCalendar2 ()
| Get the currently loaded Calendar2. More...
sequence< CalendarItem2 > | getDays2 ()
| returns a sequence of CalendarItem2 describing the day names. More...
sequence< CalendarItem2 > | getMonths2 ()
| returns a sequence of CalendarItem2 describing the month names. More...
sequence< CalendarItem2 > | getGenitiveMonths2 ()
| returns a sequence of CalendarItem2 describing the genitive case month names. More...
sequence< CalendarItem2 > | getPartitiveMonths2 ()
| returns a sequence of CalendarItem2 describing the partitive case month names. More...
Public Member Functions inherited from XExtendedCalendar
string | getDisplayString ([in] long nCalendarDisplayCode, [in] short nNativeNumberMode)
| Returns a string (number or name to display) matching the given code constant. More...
Public Member Functions inherited from XCalendar
void | loadDefaultCalendar ([in] ::com::sun::star::lang::Locale rLocale)
| Load the default calendar for the given locale. More...
void | loadCalendar ([in] string uniqueID, [in] ::com::sun::star::lang::Locale rLocale)
| Load a specific calendar for the given locale. More...
Calendar | getLoadedCalendar ()
| Get the currently loaded Calendar. More...
sequence< string > | getAllCalendars ([in] ::com::sun::star::lang::Locale rLocale)
| Returns all available calendars for the given locale. More...
string | getUniqueID ()
| Returns the ID string of the loaded calendar, for example, "Gregorian" More...
void | setDateTime ([in] double nTimeInDays)
| Set the UTC date/time as an offset to the start of the calendar at 1-Jan-1970 00:00. More...
double | getDateTime ()
| Get the UTC date/time as an offset to the start of the calendar at 1-Jan-1970 00:00. More...
void | setValue ([in] short nCalendarFieldIndex, [in] short nValue)
| Set the value of a field. More...
short | getValue ([in] short nCalendarFieldIndex)
| Get the value of a field. More...
boolean | isValid ()
| Verify if the date fields set by a combination of XCalendar::setValue() calls is valid. More...
void | addValue ([in] short nCalendarFieldIndex, [in] long nAmount)
| Add an amount to a field. More...
short | getFirstDayOfWeek ()
| returns the first day of a week, one of Weekdays values. More...
void | setFirstDayOfWeek ([in] short nDay)
| Set the first day of a week, one of Weekdays values. More...
void | setMinimumNumberOfDaysForFirstWeek ([in] short nDays)
| Set how many days of a week must reside in the first week of a year. More...
short | getMinimumNumberOfDaysForFirstWeek ()
| returns how many days of a week must reside in the first week of a year. More...
short | getNumberOfMonthsInYear ()
| returns the number of months in a year, e.g. 12 More...
short | getNumberOfDaysInWeek ()
| returns the number of days in a week, e.g. 7 More...
sequence< CalendarItem > | getMonths ()
| returns a sequence of CalendarItem describing the month names. More...
sequence< CalendarItem > | getDays ()
| returns a sequence of CalendarItem describing the day names. More...
string | getDisplayName ([in] short nCalendarDisplayIndex, [in] short nIdx, [in] short nNameType)
| Returns a string (name to display) matching the given parameters. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface provides access to locale specific calendar systems.

It is derived from com::sun::star::i18n::XExtendedCalendar and provides additional methods to obtain Calendar2 items that include the possessive genitive case month names and sequences of CalendarItem2 items...

Since
  LibreOffice 3.5

## Member Function Documentation

## ◆ getDays2()

sequence< CalendarItem2 > getDays2 | ( |  | ) |

returns a sequence of CalendarItem2 describing the day names.

## ◆ getGenitiveMonths2()

sequence< CalendarItem2 > getGenitiveMonths2 | ( |  | ) |

returns a sequence of CalendarItem2 describing the genitive case month names.

## ◆ getLoadedCalendar2()

Calendar2 getLoadedCalendar2 | ( |  | ) |

Get the currently loaded Calendar2.

## ◆ getMonths2()

sequence< CalendarItem2 > getMonths2 | ( |  | ) |

returns a sequence of CalendarItem2 describing the month names.

## ◆ getPartitiveMonths2()

sequence< CalendarItem2 > getPartitiveMonths2 | ( |  | ) |

returns a sequence of CalendarItem2 describing the partitive case month names.

The documentation for this interface was generated from the following file:

- com/sun/star/i18n/XCalendar3.idl